### Constructor

# Adw PropertyAnimationTarget new_for_pspec

#### Declaration [src]

    AdwAnimationTarget*
    adw_property_animation_target_new_for_pspec (
      GObject* object,
      GParamSpec* pspec
    )

#### Description [src]

Creates a new `AdwPropertyAnimationTarget` for the `pspec` property on `object`.

Available since: | 1.2

#### Parameters

`object` | `GObject`
| An object to be animated.
| The data is owned by the caller of the function.
`pspec` | `GParamSpec`
| The param spec of the property on `object` to animate.
| The data is owned by the caller of the function.

#### Return value

Returns: | `AdwAnimationTarget`
| New newly created `AdwPropertyAnimationTarget`
| The caller of the function takes ownership of the data, and is responsible for freeing it.